VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | List of all members
ObjCVariable< T > Struct Template Reference

`#include <objcclassbuilder.h>`

## Public Member Functions
| ObjCVariable (__unsafe_unretained id obj, Ivar ivar)
| ObjCVariable (ObjCVariable &&o)
ObjCVariable & | operator= (ObjCVariable &&o)
T | get () const
void | set (const T &value)

## Constructor & Destructor Documentation

ObjCVariable | ( | __unsafe_unretained id | obj,
|  | Ivar | ivar
| ) |  |
| inline

ObjCVariable | ( | ObjCVariable< T > && | o | ) |
| inline

## Member Function Documentation

ObjCVariable& operator= | ( | ObjCVariable< T > && | o | ) |
| inline

T get | ( |  | ) | const
| inline

void set | ( | const T & | value | ) |
| inline

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.